FAQ

I'm using IE9 but still get the "Please upgrade to the latest browser." message.

If you are getting the "Please upgrade to the latest browser." message, IE9's compatibility view may be on.

Click on the compatibility view button on the right of the address bar and you can turn this setting off.